Foreman - Bug #15785

Intermittent HostgroupJSTest.test_0001_submit updates taxonomy test failures
07/22/2016 06:32 AM - Dominic Cleal

Status: Rejected
Priority: Normal
Assignee: Ivan Necas
Category: Tests
Target version:
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3671
Description

Further test failures (since #14350) are still occurring in HostgroupdSTest.test_0001_submit updates taxonomy at this location:

HostgroupJdSTest.test_0001_submit updates taxonomy
Took 33 sec.
Capybara: :ElementNotFound: Unable to find xpath "//div[@id='ms-hostgroup_location_ids']//li/span[t
ext () = 'loc475']"
test/integration/hostgroup_js_test.rb:42:in "select_from_ list'
test/integration/hostgroup_js_test.rb:10:in “block in <class:HostgroupJdSTest>' (Capybara::Elem
entNotFound)
/usr/local/rvm/gems/ruby-2.1.5Q@test_develop_pr_core-2/gems/capybara-2.7.1/1ib/capybara/node/finder
s.rb:44

(at commit d163507797¢c5d9c20249aa4d858465cbb74be229)

Related issues:
Related to Foreman - Bug #14350: Intermittent HostgroupJdSTest.test_0001_submi... Closed 03/24/2016

History

#1 - 07/22/2016 06:32 AM - Dominic Cleal
- Related to Bug #14350: Intermittent HostgroupJSTest.test_0001_submit updates taxonomy test failures added

#2 - 07/22/2016 06:43 AM - Ivan Necas
- Status changed from New to Assigned

- Assignee set to Ivan Necas

#3 - 07/22/2016 07:17 AM - Ivan Necas

- File capybara-201607220658141719223562.png added
- File capybara-201607220658188501597120.png added
- File capybara-20160722065824262775113.png added

| tried to investigate this one by taking screenshots immediately before the failure. It looks like it's possible
the page is not rendered completely before we try that. | will try adding “has_xpath?" with “:visible => true” assertion first before trying the
click to make sure it's loaded and visible.

#4 - 07/22/2016 07:22 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3671 added

#5 - 02/09/2017 04:05 AM - Dominic Cleal
- Status changed from Ready For Testing to Rejected
https://projects.theforeman.org/issues/14350

PR closed due to inactivity, but | don't think this is occurring any more, so closing.

Files

capybara-201607220658188501597120.png 10.3 KB 07/22/2016 Ivan Necas
capybara-201607220658141719223562.png 42.6 KB 07/22/2016 Ivan Necas
capybara-20160722065824262775113.png 11.3 KB 07/22/2016 Ivan Necas

05/20/2024 22


http://www.tcpdf.org

